I am glad that I discovered your channel today. Your explanation is so much better than the leetcode editorial. Your video is very concise. I hit the "Subscribe" button.
For those who didn't understand the intuition behind this solution. Imagine 2 supports s1 and s2. s1 starts from 0 and s2 starts from sum of array. Now each rod will have 3 choice 1. Add to S1 2. Add to S2 3. Remove from S2. Notice the third choice is removing from s2 not adding into Null Set. So comparing with the solution provided in the video. op1 is Choice 1 op2 is Choice 3 op3 is Choice 2, as rod is already added into s2 thats why no change. In recursive solution op3 is Choice of adding rod into a null set. which is different in memoized answer.
I am glad that I discovered your channel today. Your explanation is so much better than the leetcode editorial. Your video is very concise. I hit the "Subscribe" button.
Very nice explanation, much better than those who make 30 mins video and talk shit!
😂
Really simple and understandable explanation. Well done.
Sir please show us how to convert this into Tabulation dp
For those who didn't understand the intuition behind this solution.
Imagine 2 supports s1 and s2. s1 starts from 0 and s2 starts from sum of array. Now each rod will have 3 choice
1. Add to S1
2. Add to S2
3. Remove from S2.
Notice the third choice is removing from s2 not adding into Null Set.
So comparing with the solution provided in the video.
op1 is Choice 1
op2 is Choice 3
op3 is Choice 2, as rod is already added into s2 thats why no change.
In recursive solution op3 is Choice of adding rod into a null set. which is different in memoized answer.
best expanation
nice explanation.. keep it up bro
Excellent solution
Nice explanation bro...
It would be better if you upload leet-daily before 10-11am, that would be beneficial for you to reach out more audience: )
I couldn't figure out how to memoize the problem after finding the recursive solution. Thanks for this, was very helpful.
I thought to store all subset sums with indexes in a map. Then check map for disjointed index sets. Can u tell why this won't work??
@deepCodes whats the device are you using to explain in screen?
XENX pen tablet and one-note app.
thanks
Bhaiya hindi main explain kar do please
It was hard